<template>
  <div id="vitrine">
    <v-app>
      <div id="tool">
        <v-toolbar color="indigo darken-1"> <!-- Toolbar en haut de l'écran -->
          <v-toolbar-title class="white--text">Bienvenue</v-toolbar-title>
          <v-spacer></v-spacer>
          <v-flex md2> <!-- Select de la langue -->
            <v-select v-bind:items="langue" item-text="libellelangue" item-value="isolangue"></v-select>
          </v-flex>
          <v-btn icon router to="/configuration/objets">
              <v-icon  color="white">build</v-icon>
          </v-btn>
        </v-toolbar>
      </div>
      <div id="tableau">
        <br>
        <v-layout row wrap>
          <v-flex md2>
            <div v-for="object in objets" :key="object.uuidobjet">
              <!--<v-card-media :src="object.urlimage" height="280px" v-bind:value="object.uuidobjet" v-on:click="ChoisirObjet()" v-model="choixObjet"> </v-card-media> -->
              <v-card-text v-bind:value="object.uuidobjet" v-on:click="idObjet()" v-model="choixObjet">{{ object.nomobjet }}</v-card-text>
            </div>
          </v-flex>
        </v-layout>
        <v-dialog v-model="dialog" max-width="1000"> <!-- Boite de dialogue (Pop-up) -->
          <v-card>
            <table>
              <tr v-for="objet of idRecupObjet" :key="objet.uuidobjet">
                <th width="60%"><img src="../assets/objet1.jpg"/></th>
                <th width="40%"><v-card-title class="headline"> {{ objet.nomobjet }} </v-card-title><v-card-text>
                  Catégorie : {{ objet.libellecategorie}}
                  <br>
                  {{ objet.descriptionobjet }}
                  <br>
                  
                </v-card-text></th>
              </tr>
            </table>
            <v-card-actions>
              <v-spacer></v-spacer>
              <v-btn color="blue-grey darken-1" flat="flat" @click.native="dialog = false">Retour</v-btn>
            </v-card-actions>
          </v-card>
        </v-dialog>
      </div>
      <div>
      <v-bottom-nav color="indigo darken-1" value="true"> <!-- La toolbar afficher en bas de l'écran -->
        <v-btn title="Vitrine précédente" :click="beforeVitrine()"> <!-- Bouton précédent -->
          <v-icon color="white">navigate_before</v-icon>
        </v-btn>
        <v-btn title="Recherche"> <!-- Bouton recherche -->
          <v-icon color="white">search</v-icon>
        </v-btn>
        <v-btn title="Vitrine suivante" :click="nextVitrine()"> <!-- Bouton suivant -->
          <v-icon color="white">navigate_next</v-icon>
        </v-btn>
      </v-bottom-nav>
      </div>
    </v-app>
  </div>
</template>

<script>
export default {
  name: 'Vitrine',
  data () {
    return {
      dialog: false,
      langue: [],
      objets: [],
      choixObjet: '1',
      idRecupObjet: '',
      idvitrine: '1',
      image: []
    }
  },
  mounted () {
    this.getVitrineObjet()
  },
  methods: {
    getVitrineObjet: function () {
      this.$http.get('http://localhost:3000/langue').then(response => {
      this.langue = response.body
    })
    console.log('GET Vitrine ID :', this.idvitrine)
    this.$http.get('http://localhost:3000/vitrine/' + this.idvitrine)
      .then(response => {
        this.objets = response.data
        console.log('GET OBJET', response.data)
      })
    this.$http.get('http://localhost:3000/image').then(response => {
      console.log('GET IMAGE :', response.data)
      this.image = response.data
    })
    },
    idObjet: function () {
      console.log('ID OBJET :', this.choixObjet)
      this.$http.get('http://localhost:3000/objet/' + this.choixObjet)
      .then(response => {
        this.idRecupObjet = response.data
        this.dialog = true
        console.log('GET OBJET', response.data)
      })
    },
    nextVitrine: function () {
    },
    beforeVitrine: function () {
    }
  }
}
</script>

<style>
img {
  width: 50%;
  position: relative
}
</style>
